       LIST

;==========================================================================
; Build date : Jun 02 2017
;  HCIDE AD030 processor include
; 
;  (c) Copyright 2012-2017 Holychip Technology, All rights reserved
;==========================================================================

        NOLIST

;==========================================================================
;  This header file defines configurations, registers, and other useful
;  bits of information for the AD030 microcontroller.  These names
;  are taken to match the data sheets as closely as possible.
;
;  Note that the processor must be selected before this file is included.
;  The processor may be selected the following ways:
;
;       1. Command line switch:
;       2. LIST directive in the source file
;               LIST   P=AD030
;       3. Processor Type entry in the HCIDE full-screen interface
;       4. Setting the processor in the HCIDE Project Dialog
;==========================================================================

;==========================================================================
;
;       Verify Processor
;
;==========================================================================
        IFNDEF __AD030
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF



;==========================================================================
;
;       Register Definitions
;
;==========================================================================

W                EQU  H'0000'
F                EQU  H'0001'

;----- Register Files -----------------------------------------------------

;-----Bank0------------------
INDF0       EQU		H'0000'
INDF1       EQU		H'0001'
PCL         EQU		H'0002'
STATUS      EQU		H'0003'
FSR0        EQU		H'0004'
FSR0L       EQU		H'0004'
FSR0H       EQU		H'0005'
FSR1        EQU		H'0006'
FSR1L       EQU		H'0006'
FSR1H       EQU		H'0007'
PCLATH      EQU		H'0008'
INTCON      EQU		H'0009'
TRISA		EQU		H'0010'
TRISB		EQU		H'0011'
TRISC		EQU		H'0012'
TRISD		EQU		H'0013'
WPUA		EQU		H'0014'
WPUB		EQU		H'0015'
WPUC		EQU		H'0016'
WPUD		EQU		H'0017'
WPDA		EQU		H'0018'
WPDB		EQU		H'0019'
WPDC		EQU		H'001A'
WPDD		EQU		H'001B'
PORTA		EQU		H'001C'
PORTB		EQU		H'001D'
PORTC		EQU		H'001E'
PORTD		EQU		H'001F'
PWM_DRV		EQU		H'0021'
INT_CTRL	EQU		H'0023'
INT_FLAG	EQU		H'0024'
INT_CTRLC	EQU		H'0025'
INT_FLAGC	EQU		H'0026'
INT_IO		EQU		H'0028'
INT_FLAG_IO	EQU		H'0029'
RFC_CTRL	EQU	    H'002E'
TMA_CTRL    EQU     H'0031'
TMB_CTRL    EQU     H'0032'
TMA_PWMF    EQU     H'0033'
TMA_PWMD    EQU     H'0034'
TMB_CNTL    EQU     H'0035'
TMB_CNTH    EQU     H'0036'
C32K_EN     EQU     H'003A'
TBS_SEL     EQU     H'003B'
MISC_REG    EQU     H'003C'
INSTROBEN_B EQU     H'003D'
INSTROBEN_C EQU     H'003E'
INSTROBEN_D EQU     H'003F'
WAKEUP_CTRL EQU     H'0040'
WAKEUP_STA  EQU     H'0041'
LCD_CTRL    EQU     H'0042'      		
LVD_CTRL    EQU     H'0043'
INSTROBEN_A EQU     H'0044'
PA_NMWKEN   EQU     H'0045'
PB_NMWKEN   EQU     H'0047'
PC_NMWKEN   EQU     H'0048'
PD_NMWKEN   EQU     H'0049'
IOA_DATBF   EQU     H'004A'
IOB_DATBF   EQU     H'004B'
IOC_DATBF   EQU     H'004C'
IOD_DATBF   EQU     H'004D'
IOA_SEL     EQU     H'005A'
IOB_SEL     EQU     H'005B'
IOC_SEL     EQU     H'005C'
SEGDATA0	EQU		H'0060'
SEGDATA1	EQU		H'0061'
SEGDATA2	EQU		H'0062'
SEGDATA3	EQU		H'0063'
SEGDATA4	EQU		H'0064'
SEGDATA5	EQU		H'0065'
SEGDATA6	EQU		H'0066'
SEGDATA7	EQU		H'0067'
SEGDATA8	EQU		H'0068'
SEGDATA9	EQU		H'0069'
SEGDATA10	EQU		H'006A'
SEGDATA11	EQU		H'006B'
SEGDATA12	EQU		H'006C'
SEGDATA13	EQU		H'006D'
SEGDATA14	EQU		H'006E'
SEGDATA15	EQU		H'006F'
SEGDATA16	EQU		H'0070'
SEGDATA17	EQU		H'0071'
SEGDATA18	EQU		H'0072'
SEGDATA19	EQU		H'0073'
SEGDATA20	EQU		H'0074'
SEGDATA21	EQU		H'0075'
SEGDATA22	EQU		H'0076'
SEGDATA23	EQU		H'0077'
SEGDATA24	EQU		H'0078'
SEGDATA25	EQU		H'0079'
SEGDATA26	EQU		H'007A'
SEGDATA27	EQU		H'007B'
SEGDATA28	EQU		H'007C'
SEGDATA29	EQU		H'007D'
SEGDATA30	EQU		H'007E'
SEGDATA31	EQU		H'007F'
LCDVD       EQU     H'0080'
LCDPS       EQU     H'0081'                  
PMDATL      EQU     H'009A'
PMDATH      EQU     H'009B'
PMADRL      EQU     H'009C'
PMADRH      EQU     H'009D'
PMCON       EQU     H'009E'
;----- STATUS Bits --------------------------------------------------------
T0	                			EQU  H'0004'
PD	                			EQU  H'0003'
Z		                		EQU  H'0002'
DC	                			EQU  H'0001'
C		                		EQU  H'0000'
;----- INTCON Bits --------------------------------------------------------
GIE								EQU  H'0007'
;----- OPTION Bits --------------------------------------------------------
RBPUB							EQU  H'0007'
INTEDG							EQU  H'0006'
T0CS							EQU  H'0005' 
T0SE							EQU  H'0004'
PSA								EQU  H'0003'																																		
PS2								EQU  H'0002'																																		
PS1								EQU  H'0001'																																		
PS0								EQU  H'0000'																																		
;----- TRISA Bits ----------------------------------------------------------							
TRISA7							EQU  H'0007'
TRISA6							EQU  H'0006'
TRISA5							EQU  H'0005'
TRISA4							EQU  H'0004'
TRISA3							EQU  H'0003'
TRISA2							EQU  H'0002'
TRISA1							EQU  H'0001'
TRISA0							EQU  H'0000'
;----- TRISB Bits ----------------------------------------------------------							
TRISB7							EQU  H'0007'
TRISB6							EQU  H'0006'
TRISB5							EQU  H'0005'
TRISB4							EQU  H'0004'
TRISB3							EQU  H'0003'
TRISB2							EQU  H'0002'
TRISB1							EQU  H'0001'
TRISB0							EQU  H'0000'
;----- TRISC Bits ----------------------------------------------------------							
TRISC7							EQU  H'0007'
TRISC6							EQU  H'0006'
TRISC5							EQU  H'0005'
TRISC4							EQU  H'0004'
TRISC3							EQU  H'0003'
TRISC2							EQU  H'0002'
TRISC1							EQU  H'0001'
TRISC0							EQU  H'0000'
;----- TRISD Bits ----------------------------------------------------------							
TRISD7 							EQU  H'0007'
TRISD6 							EQU  H'0006'
TRISD5 							EQU  H'0005'
TRISD4 							EQU  H'0004'
TRISD3 							EQU  H'0003'
TRISD2 							EQU  H'0002'
TRISD1 							EQU  H'0001'
TRISD0 							EQU  H'0000'
;----- WPUA Bits ----------------------------------------------------------
WPUA7							EQU  H'0007'
WPUA6							EQU  H'0006'
WPUA5							EQU  H'0005'
WPUA4							EQU  H'0004'
WPUA3							EQU  H'0003'
WPUA2							EQU  H'0002'
WPUA1							EQU  H'0001'
WPUA0							EQU  H'0000' 
;----- WPUB Bits ----------------------------------------------------------
WPUB7							EQU  H'0007'
WPUB6							EQU  H'0006'
WPUB5							EQU  H'0005'
WPUB4							EQU  H'0004'
WPUB3							EQU  H'0003'
WPUB2							EQU  H'0002'
WPUB1							EQU  H'0001'
WPUB0							EQU  H'0000' 
;----- WPUC Bits ----------------------------------------------------------
WPUC7							EQU  H'0007'
WPUC6							EQU  H'0006'
WPUC5							EQU  H'0005'
WPUC4							EQU  H'0004'
WPUC3							EQU  H'0003'
WPUC2							EQU  H'0002'
WPUC1							EQU  H'0001'
WPUC0							EQU  H'0000' 
;----- WPUD Bits ----------------------------------------------------------
WPUD7							EQU  H'0007'
WPUD6							EQU  H'0006'
WPUD5							EQU  H'0005'
WPUD4							EQU  H'0004'
WPUD3							EQU  H'0003'
WPUD2							EQU  H'0002'
WPUD1							EQU  H'0001'
WPUD0							EQU  H'0000' 
;----- WPDA Bits ----------------------------------------------------------
WPDA7							EQU  H'0007'
WPDA6							EQU  H'0006'
WPDA5							EQU  H'0005'
WPDA4							EQU  H'0004'
WPDA3							EQU  H'0003'
WPDA2							EQU  H'0002'
WPDA1							EQU  H'0001'
WPDA0							EQU  H'0000' 
;----- WPDB Bits ----------------------------------------------------------
WPDB7							EQU  H'0007'
WPDB6							EQU  H'0006'
WPDB4							EQU  H'0004'
WPDB3							EQU  H'0003'
WPDB2							EQU  H'0002'
WPDB1							EQU  H'0001'
WPDB0							EQU  H'0000' 
;----- WPDC Bits ----------------------------------------------------------
WPDC7							EQU  H'0007'
WPDC6							EQU  H'0006'
WPDC5							EQU  H'0005'
WPDC4							EQU  H'0004'
WPDC3							EQU  H'0003'
WPDC2							EQU  H'0002'
WPDC1							EQU  H'0001'
WPDC0							EQU  H'0000' 
;----- WPDD Bits ----------------------------------------------------------
WPDD7							EQU  H'0007'
WPDD6							EQU  H'0006'
WPDD5							EQU  H'0005'
WPDD4							EQU  H'0004'
WPDD3							EQU  H'0003'
WPDD2							EQU  H'0002'
WPDD1							EQU  H'0001'
WPDD0							EQU  H'0000' 
;----- PORTA Bits ----------------------------------------------------------
PORTA7							EQU  H'0007'
PORTA6							EQU  H'0006'
PORTA5							EQU  H'0005'
PORTA4							EQU  H'0004'
PORTA3							EQU  H'0003'
PORTA2							EQU  H'0002'
PORTA1							EQU  H'0001'
PORTA0							EQU  H'0000' 
;----- PORTB Bits ----------------------------------------------------------
PORTB7							EQU  H'0007'
PORTB6							EQU  H'0006'
PORTB4							EQU  H'0004'
PORTB3							EQU  H'0003'
PORTB2							EQU  H'0002'
PORTB1							EQU  H'0001'
PORTB0							EQU  H'0000' 
;----- PORTC Bits ----------------------------------------------------------
PORTC7							EQU  H'0007'
PORTC6							EQU  H'0006'
PORTC5							EQU  H'0005'
PORTC4							EQU  H'0004'
PORTC3							EQU  H'0003'
PORTC2							EQU  H'0002'
PORTC1							EQU  H'0001'
PORTC0							EQU  H'0000' 
;----- PORTD Bits ----------------------------------------------------------
PORTD7							EQU  H'0007'
PORTD5							EQU  H'0005'
PORTD3							EQU  H'0003'
PORTD2							EQU  H'0002'
PORTD1							EQU  H'0001'
PORTD0							EQU  H'0000' 
;----- PWM_DRV Bits ----------------------------------------------------------
PWMDRV1							EQU  H'0005'
PWMDRV0							EQU  H'0004' 

PB1DRV1							EQU  H'0003'
PB1DRV0							EQU  H'0002' 

PB0DRV1							EQU  H'0001'
PB0DRV0							EQU  H'0000' 
;----- INT_CTRL Bits ----------------------------------------------------------
TMAOIE							EQU  H'0006'
TMBOIE							EQU  H'0004'
;----- INT_FLAG Bits ----------------------------------------------------------
TMAOIF							EQU  H'0006'
TMBOIF							EQU  H'0004'
;----- INT_CTRLC Bits ----------------------------------------------------------
TBLIE							EQU  H'0004'
;----- INT_FLAGC Bits ----------------------------------------------------------
TBLIF							EQU  H'0004'
;----- INT_IO Bits ----------------------------------------------------------
INTEDG1							EQU  H'0003'
PBINT1							EQU  H'0002'
INTEDG0							EQU  H'0001'
PBINT0							EQU  H'0000'
;----- INT_FLAGIO Bits ----------------------------------------------------------
PBINTF1							EQU  H'0003'
PBINTF0							EQU  H'0002'
;----- TMA_CTRL Bits ----------------------------------------------------------
TMAES							EQU  H'0007'
TMACLK1							EQU  H'0005'
TMACLK0							EQU  H'0004'
TMAMOD							EQU  H'0000'
;----- TMB_CTRL Bits ----------------------------------------------------------
TMBES							EQU  H'0007'
TMBCLKIO						EQU  H'0006'
TMBCLK1							EQU  H'0005'
TMBCLK0							EQU  H'0004'
IRENB							EQU  H'0003'
;----- C32K_EN Bits ----------------------------------------------------------
C32KEN							EQU  H'0007'
;----- TBS_SEL Bits ----------------------------------------------------------
TBLSEL1							EQU  H'0003'
TBLSEL0							EQU  H'0002'
;----- MISC_REG Bits ----------------------------------------------------------
STROBEN							EQU  H'0000' 
;----- INSTROBEN_B Bits ----------------------------------------------------------
INSTROBEN_B7					EQU  H'0007'
INSTROBEN_B6					EQU  H'0006'
INSTROBEN_B5					EQU  H'0005'
INSTROBEN_B4					EQU  H'0004'
INSTROBEN_B3					EQU  H'0003'
INSTROBEN_B2					EQU  H'0002'
INSTROBEN_B1					EQU  H'0001'
INSTROBEN_B0					EQU  H'0000' 
;----- INSTROBEN_C Bits ----------------------------------------------------------
INSTROBEN_C7					EQU  H'0007'
INSTROBEN_C6					EQU  H'0006'
INSTROBEN_C5					EQU  H'0005'
INSTROBEN_C4					EQU  H'0004'
INSTROBEN_C3					EQU  H'0003'
INSTROBEN_C2					EQU  H'0002'
INSTROBEN_C1					EQU  H'0001'
INSTROBEN_C0					EQU  H'0000'
;----- INSTROBEN_D Bits ----------------------------------------------------------
INSTROBEN_D7					EQU  H'0007'
INSTROBEN_D5					EQU  H'0005'
INSTROBEN_D3					EQU  H'0003'
INSTROBEN_D2					EQU  H'0002'
INSTROBEN_D1					EQU  H'0001'
INSTROBEN_D0					EQU  H'0000'
;----- WAKEUP_CTRL Bits ----------------------------------------------------------
TBLWEN							EQU  H'0001'
KEYWEN							EQU  H'0000' 
;----- WAKEUP_STA Bits ----------------------------------------------------------
TBLWFC							EQU  H'0001'
KEYWFC							EQU  H'0000'
;----- LCD_CTRL Bits ----------------------------------------------------------
COMMAP							EQU  H'0006'
RLCD1							EQU  H'0005'
RLCD0							EQU  H'0004'
BIASSEL							EQU  H'0003'
COMSEL							EQU  H'0002'
GREENMODE						EQU  H'0001'
LCDEN							EQU  H'0000'
;----- LVD_CTRL Bits ----------------------------------------------------------
LVDEN							EQU  H'0007'
LVDS1							EQU  H'0006'
LVDS0							EQU  H'0005'
WDTENS							EQU  H'0003'
POR 							EQU  H'0002'
BOR 							EQU  H'0001'
LVD 							EQU  H'0000'
;----- INSTROBEN_A Bits ----------------------------------------------------------
INSTROBEN_A7					EQU  H'0007'
INSTROBEN_A6					EQU  H'0006'
INSTROBEN_A5					EQU  H'0005'
INSTROBEN_A4					EQU  H'0004'
INSTROBEN_A3					EQU  H'0003'
INSTROBEN_A2					EQU  H'0002'
INSTROBEN_A1					EQU  H'0001'
INSTROBEN_A0					EQU  H'0000'  
;----- PA_NMWKEN Bits ----------------------------------------------------------
PAWK7							EQU  H'0007'
PAWK6							EQU  H'0006'
PAWK5							EQU  H'0005'
PAWK4							EQU  H'0004'
PAWK3							EQU  H'0003'
PAWK2							EQU  H'0002'
PAWK1							EQU  H'0001'
PAWK0							EQU  H'0000' 
;----- PB_NMWKEN Bits ----------------------------------------------------------
PBWK7							EQU  H'0007'
PBWK6							EQU  H'0006'
PBWK5							EQU  H'0005'
PBWK4							EQU  H'0004'
PBWK3							EQU  H'0003'
PBWK2							EQU  H'0002'
PBWK1							EQU  H'0001'
PBWK0							EQU  H'0000' 
;----- PC_NMWKEN Bits ----------------------------------------------------------
PCWK7							EQU  H'0007'
PCWK6							EQU  H'0006'
PCWK5							EQU  H'0005'
PCWK4							EQU  H'0004'
PCWK3							EQU  H'0003'
PCWK2							EQU  H'0002'
PCWK1							EQU  H'0001'
PCWK0							EQU  H'0000'
;----- PD_NMWKEN Bits ----------------------------------------------------------
PDWK7							EQU  H'0007'
PDWK5							EQU  H'0005'
PDWK3							EQU  H'0003'
PDWK2							EQU  H'0002'
PDWK1							EQU  H'0001'
PDWK0							EQU  H'0000' 
;----- IOA_DATBF Bits ----------------------------------------------------------
IOA_DATBF7						EQU  H'0007'
IOA_DATBF6						EQU  H'0006'
IOA_DATBF5						EQU  H'0005'
IOA_DATBF4						EQU  H'0004'
IOA_DATBF3						EQU  H'0003'
IOA_DATBF2						EQU  H'0002'
IOA_DATBF1						EQU  H'0001'
IOA_DATBF0						EQU  H'0000' 
;----- IOB_DATBF Bits ----------------------------------------------------------
IOB_DATBF7						EQU  H'0007'
IOB_DATBF6						EQU  H'0006'
IOB_DATBF5						EQU  H'0005'
IOB_DATBF4						EQU  H'0004'
IOB_DATBF3						EQU  H'0003'
IOB_DATBF2						EQU  H'0002'
IOB_DATBF1						EQU  H'0001'
IOB_DATBF0						EQU  H'0000' 
;----- IOC_DATBF Bits ----------------------------------------------------------
IOC_DATBF7						EQU  H'0007'
IOC_DATBF6						EQU  H'0006'
IOC_DATBF5						EQU  H'0005'
IOC_DATBF4						EQU  H'0004'
IOC_DATBF3						EQU  H'0003'
IOC_DATBF2						EQU  H'0002'
IOC_DATBF1						EQU  H'0001'
IOC_DATBF0						EQU  H'0000'
;----- IOD_DATBF Bits ----------------------------------------------------------
IOD_DATBF7						EQU  H'0007'
IOD_DATBF5						EQU  H'0005'
IOD_DATBF3						EQU  H'0003'
IOD_DATBF2						EQU  H'0002'
IOD_DATBF1						EQU  H'0001'
IOD_DATBF0						EQU  H'0000'
;----- IOA_SEL Bits ----------------------------------------------------------
PAS7							EQU  H'0007'
PAS6							EQU  H'0006'
PAS5							EQU  H'0005'
PAS4							EQU  H'0004'
PAS3							EQU  H'0003'
PAS2							EQU  H'0002'
PAS1							EQU  H'0001'
PAS0							EQU  H'0000' 
;----- IOB_SEL Bits ----------------------------------------------------------
PBS7							EQU  H'0007'
PBS6							EQU  H'0006'
PBS5							EQU  H'0005'
PBS4							EQU  H'0004'
PBS3							EQU  H'0003'
PBS2							EQU  H'0002'
PBS1							EQU  H'0001'
PBS0							EQU  H'0000' 
;----- IOC_SEL Bits ----------------------------------------------------------
PCS7							EQU  H'0007'
PCS6							EQU  H'0006'
PCS5							EQU  H'0005'
PCS4							EQU  H'0004'
PCS3							EQU  H'0003'
PCS2							EQU  H'0002'
PCS1							EQU  H'0001'
PCS0							EQU  H'0000'  
;----- LCDVD Bits ----------------------------------------------------------
RSEL							EQU  H'0007'
SPDSEL1							EQU  H'0006'
SPDSEL0							EQU  H'0004'
LCDVD3							EQU  H'0003'
LCDVD2							EQU  H'0002'
LCDVD1							EQU  H'0001'
LCDVD0							EQU  H'0000'      					
;----- LCDPS Bits ----------------------------------------------------------
LP3								EQU  H'0003'
LP2								EQU  H'0002'
LP1								EQU  H'0001'
LP0								EQU  H'0000' 
;----- PMCON Bits ----------------------------------------------------------
RDON							EQU  H'0000'

;==========================================================================
;
;       RAM Definitions
;
;==========================================================================
       __MAXRAM  H'03FF'
    
       __BADRAM  H'000a'-H'000f'
       __BADRAM  H'0016'-H'001b'
       __BADRAM  H'0022'-H'0027'
       __BADRAM  H'002e'-H'0033'
       __BADRAM  H'003a'-H'003f'
       __BADRAM  H'0046'-H'004b'
       __BADRAM  H'0053'
       __BADRAM  H'0057'
       __BADRAM  H'0061'-H'006f'
       __BADRAM  H'0073'-H'0077'
       __BADRAM  H'007b'-H'007f'
       __BADRAM  H'0086'-H'008b'
       __BADRAM  H'008e'-H'0091'
       __BADRAM  H'0097'-H'0099'      
       __BADRAM  H'009f'-H'00ff'
       
       __BADRAM  H'020a'-H'022f'        
       __BADRAM  H'0233'-H'0239'
       __BADRAM  H'0240'-H'024f'
       __BADRAM  H'0260'-H'02af'
       __BADRAM  H'02b4'-H'02b5'
       __BADRAM  H'02ba'-H'02bf'
       __BADRAM  H'02e0'-H'02ff'    
       
       

     
;==========================================================================
;
;       Configuration Bits
;
;   NAME            Address
;   CONFIG            2000h
;
;==========================================================================

; The following is an assignment of address values for all of the
; configuration registers for the purpose of table reads
_CONFIG          EQU  H'2000'


;----- CONFIG Options --------------------------------------------------
_FOSC_LP             EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_LP_OSC              EQU  H'FCFF'    ; LP oscillator: Low-power crystal on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_XT             EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_XT_OSC              EQU  H'FDFF'    ; XT oscillator: Crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_FOSC_HS             EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
_HS_OSC              EQU  H'FFFD'    ; HS oscillator: High-speed crystal/resonator on RA4/OSC2/CLKOUT and RA5/OSC1/CLKIN
;_FOSC_EC             EQU  H'FFFD'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
;_EC_OSC              EQU  H'3FFB'    ; EC: I/O function on RA4/OSC2/CLKOUT pin, CLKIN on RA5/OSC1/CLKIN
_FOSC_INTRCIO        EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTRC_OSC_NOCLKOUT  EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
_INTOSCIO            EQU  H'FFFC'    ; INTOSCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_INTRCCLK       EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTRC_OSC_CLKOUT    EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_INTOSC              EQU  H'3FFD'    ; INTOSC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, I/O function on RA5/OSC1/CLKIN
;_FOSC_EXTRCIO        EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_NOCLKOUT  EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRCIO             EQU  H'3FFE'    ; RCIO oscillator: I/O function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_FOSC_EXTRCCLK       EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC_OSC_CLKOUT    EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN
;_EXTRC               EQU  H'FFFF'    ; RC oscillator: CLKOUT function on RA4/OSC2/CLKOUT pin, RC on RA5/OSC1/CLKIN

_WDTE_OFF            EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDT_OFF             EQU  H'FFFB'    ; WDT disabled and can be enabled by SWDTEN bit of the WDTCON register
_WDTE_ON             EQU  H'FFFF'    ; WDT enabled
_WDT_ON              EQU  H'FFFF'    ; WDT enabled

;_PWRTE_ON            EQU  H'3FEF'    ; PWRT enabled
;_PWRTE_OFF           EQU  H'3FFF'    ; PWRT disabled

;_MCLRE_OFF           EQU  H'3FDF'    ; MCLR pin function is digital input, MCLR internally tied to VDD
;_MCLRE_ON            EQU  H'3FFF'    ; MCLR pin function is MCLR

_CP_ON               EQU  H'FFEF'    ; Program memory code protection is enabled
_CP_OFF              EQU  H'FFFF'    ; Program memory code protection is disabled

;_CPD_ON              EQU  H'3F7F'    ; Data memory code protection is enabled
;_CPD_OFF             EQU  H'3FFF'    ; Data memory code protection is disabled

;_BOREN_OFF           EQU  H'3CFF'    ; BOR disabled
;_BOD_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOR_OFF             EQU  H'3CFF'    ; BOR disabled
;_BOREN_SBODEN        EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOD_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOR_SBODEN          EQU  H'3DFF'    ; BOR controlled by SBOREN bit of the PCON register
;_BOREN_NSLEEP        EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOD_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOR_NSLEEP          EQU  H'3EFF'    ; BOR enabled during operation and disabled in Sleep
;_BOREN_ON            EQU  H'3FFF'    ; BOR enabled
;_BOD_ON              EQU  H'3FFF'    ; BOR enabled
;_BOR_ON              EQU  H'3FFF'    ; BOR enabled

;_IESO_OFF            EQU  H'3BFF'    ; Internal External Switchover mode is disabled
;_IESO_ON             EQU  H'3FFF'    ; Internal External Switchover mode is enabled

;_FCMEN_OFF           EQU  H'37FF'    ; Fail-Safe Clock Monitor is disabled
;_FCMEN_ON            EQU  H'3FFF'    ; Fail-Safe Clock Monitor is enabled

;----- DEVID Equates --------------------------------------------------
;_DEVID1          EQU  H'2006'

;----- IDLOC Equates --------------------------------------------------
;_IDLOC0          EQU  H'2000'
;_IDLOC1          EQU  H'2001'
;_IDLOC2          EQU  H'2002'
;_IDLOC3          EQU  H'2003'

       
        LIST